Kerbal Space Program - Bug #26972

Surface and stock lights won't turn back on after being switched off
01/05/2021 01:45 PM - Spoonifer

Status: Need More Info Start date: 01/05/2021
Severity: Low % Done: 0%
Assignee:
Category: Controls and Ul
Target version:
Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Updated my mods and installed a few new ones so difficult to say where this bug originates from.

On switching to a ship the lights are on. When | turn them off they snap off suddenly without the usual slow fade. It is then impossible
to turn them on again. If | switch away to another ship and then return to the original then the lights are back on again.

KSP Version 1.8.1.2694

| have attached the CKAN mods export list (there's a lot but the game performance doesn't seem to suffer much)

History

#1 - 01/05/2021 01:50 PM - Spoonifer
- File KSPmods.txt added

Simple mod list attached

#2 - 01/05/2021 02:36 PM - victorr

- Status changed from New to Need More Info

We're unable to reproduce the issue on a clean install of the game. Unfortunately we cannot provide support for mods. Could you try this bug on stock
versions and then pinpoint which mod is misbehaving? The modder could help correct the issue.

#3 - 01/05/2021 02:55 PM - Spoonifer

victorr wrote:

We're unable to reproduce the issue on a clean install of the game. Unfortunately we cannot provide support for mods. Could you try this bug on
stock versions and then pinpoint which mod is misbehaving? The modder could help correct the issue.

Hi Victorr, sure, | will start this process now.

#4 - 07/30/2021 02:56 PM - VoidSquid

Just had the same issue here, KSP 1.10.1 Beyond Home, | found the culprit to be Surface Mounted Lights (1.18, latest compatible version for KSP
1.10.1).

KSP.log says:
[ERR 16:51:30.243] Module ModuleLightEva threw during OnStart: System.MissingMethodException: void ModuleLight.ToggleLights()
at Part.ModulesOnStart () [0x00120] in <c1858a3f77504bd1aaa946fdccf84670>:0

Interestingly, the issue does not occur on my regular KSP career (1.10.1. too), | changed only a few mods (minus SVE, plus Kopernicus, and a few
changes more) between both installations, hence | assume it's SML interacting strangely with another mod.

Files
KSP1.81.1 mods.ckan 6.16 KB 01/05/2021 Spoonifer
KSPmods.txt 4.6 KB 01/05/2021 Spoonifer
